---
outline: deep
---

# Minio CLI

Une interface en cli pour mettre des fichiers sur les buckets S3 de [Garage](./garage).

::: warning
Dans cette documentation, on renomme le programme `mc` en `s3` pour éviter des interférences avec midnight commander. Les commandes à taper peuvent donc différer en fonction de cela.
:::

## Installation

Exemple pour une architecture 64 bits Intel :

```bash
curl https://dl.min.io/client/mc/release/linux-amd64/s3 \
  --create-dirs \
  -o /usr/local/bin/s3
chmod +x /usr/local/bin/s3
```

On créé un alias, par exemple pour `doc.yeswiki.pro` :
```bash
s3 alias set \
  docyeswikipro \
  https://s3.yeswiki.pro \
  <id clé> \
  <secret clé> \
  --api S3v4
```

## Commandes

### Lister les buckets de l'alias
`s3 ls docyeswikipro/`

### Lister les objets dans un bucket
`s3 ls docyeswikipro/doc.yeswiki.pro`

### Copier depuis un dossier local vers garage
`s3 cp /proc/cpuinfo docyeswikipro/doc.yeswiki.pro/cpuinfo.txt`

### Copier depuis garage vers un dossier local
`s3 cp docyeswikipro/doc.yeswiki.pro/cpuinfo.txt /tmp/cpuinfo.txt`

### Synchroniser un dossier local avec garage
`s3 mirror --overwrite .vitepress/dist docyeswikipro/doc.yeswiki.pro`

## Liens utiles

- [Documentation](https://min.io/docs/minio/linux/reference/minio-mc.html#quickstart)